version: '3.6'
services:
  db:
    container_name: scryfall-db
    image: postgres
    environment:
      - POSTGRES_PASSWORD=explore!
    ports:
      - 5432:5432
    volumes:
      - ./_/psql:/var/lib/postgresql/data
      - ./etc/sql.d:/docker-entrypoint-initdb.d:ro
  loader:
    container_name: scryfall-loader
    build: loader/
    volumes:
      - ./bin:/usr/local/bin:ro
      - ./datafiles.tar.gz:/srv/datafiles.tar.gz:ro
    tmpfs:
      - /srv/scryfall
    environment:
      - LOAD_PG_DSN=dbi:Pg:dbname=explore;host=db;port=5432
      - LOAD_PG_USER=postgres
      - LOAD_PG_PASS=explore!
    command: [start-scryfall]
